/* ###################################### */
/* #                                    # */
/* #  Un compilateur pour le langage    # */
/* #        ALGO                        # */
/* #                                    # *
/* # Unite d'analyse lexicale           # */
/* # BRUNO Emmanuel                     # */
/* # bruno@univ-tln.fr                  # */
/* ###################################### */

#include <stdio.h>
#include <string.h>
#include "algo_lexical.h"

void TP1_exercice1()
{
  printf("Exercice 1\n");
  lex_entree = fopen("nombre.txt","r");
  lex_ch = fgetc(lex_entree);
  nombre();
  fclose(lex_entree);
  printf("Valeur: %s\n Symbole: %d\n",lex_val,lex_sym); 
}

void TP1_exercice2()
{
  int i=0;
  printf("Exercice 2\n");
  lex_init("nombre.txt"); //Ncessaire pour initialiser le tableau
  for(i=0;i<nb_mots_cle;i++) 
    printf("%s --> %d\n",table_mots_cle[i].val,table_mots_cle[i].sym);
  lex_fin();
}

void TP1_exercice3()
{
  printf("Exercice 3\n");
  lex_init("identificateur.txt");
  identificateur();
  lex_fin();
  printf("Valeur: %s\n Symbole: %d\n",lex_val,lex_sym); 
}

void TP1_exercice4()
{
  printf("Exercice 4\n");
  lex_init("lexique.txt");
  do
    {
      lire_symbole_quelquonque();
      printf("Valeur: %s \t\t\t\t\t Symbole: %d\n",lex_val,lex_sym); 
    }
  while (lex_sym != s_eof);
  lex_fin();
  printf("Valeur: %s\n Symbole: %d\n",lex_val,lex_sym); 
}

void TP1_exercice5()
{
  printf("Exercice 4\n");
  lex_init("lexique.txt");
  do
    {
      lire_symbole();
      printf("Valeur: %s \t\t\t\t\t Symbole: %d\n",lex_val,lex_sym); 
    }
  while (lex_sym != s_eof);
  lex_fin();
}


int main()
{
  TP1_exercice1();
  TP1_exercice2();
  TP1_exercice3();
  TP1_exercice4();
  TP1_exercice5();
  return 1;
}
